# Remove-RASAdminAccount.md

## NAME

Remove-RASAdminAccount

## SYNOPSIS

Removes an administrator account from the farm.

## SYNTAX

**Remove-RASAdminAccount** \[[Id](#id-string)] *(uint)* \[[ForceDelete](#forcedelete-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAdminAccount \[-[InputObject](#inputobject)] *(*[*AdminAccount*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminaccount.md)*)* \[[ForceDelete](#forcedelete-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASAdminAccount** \[[Name](#name-string)] *(string)* \[[ForceDelete](#forcedelete-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes an administrator account from the Parallels RAS farm.

## PARAMETERS

## Name (string)

The user name of an administrator to remove from the farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of an administrator to remove from the farm.

To obtain the ID, use the Get-RASAdminAccount cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([AdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminaccount.md))

An object representing a Parallels RAS administrator to remove from the farm.

To obtain the object, use the Get-RASAdminAccount command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## ForceDelete (SwitchParameter)

Force the administrator deletion.

If supplied, any logged on sessions owned by this administrator will be logged off and then the administrator will be deleted.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[AdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/adminaccount.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASAdminAccount "Jane"

Removes the specified administrator account from the farm.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASAdminAccount -Id 10

Removes a RAS farm administrator account specified by ID. To obtain the ID, use the Get-RASAdminAccount cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAdminAccount -Id 10 | Remove-RASAdminAccount

Removes a RAS farm administrator account identified by an object obtained from the pipeline output.

## RELATED LINKS

* [New-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasadminaccount.md)
* [Get-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadminaccount.md)
* [Set-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadminaccount.md)
* [Get-RASCustomPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascustompermission.md)
* [Set-RASCustomPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascustompermission.md)
* [Get-RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspowerpermission.md)
* [Set-RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspowerpermission.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasadminaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
